#ifndef DUPA_H
#define DUPA_H


#define NORMAL 0
#define DWAL 1
#define TRZYL 2
#define DWAS 3
#define TRZYS 4

#define PUSTE_POLE ' '
#define POZA_GRA '.' // To powinno byc > 15

#define BLANK '#'

#define POZIOMO 0
#define PIONOWO 1

#define PLIK_SLOWNIKA "./slownik"

#define MAX_DLUGOSC_SLOWA 15

#define GRACZ_WIRTUALNY 0
#define GRACZ_Z_KRWI_I_KOSCI 1

struct powiazanie_struct;
struct slowo_struct;

struct wzorzec_struct
{
    char pola[15];	// Jakie litery mamy, spacja - puste, kropa - juz koniec
    char litery[15];	// Na ktorych polach sa litery
    char nielitery[15];	// A na ktorych ich nie ma
    char x, y, horyzont, dlugosc, ile_liter;
    struct powiazanie_struct *powiazanie;
    struct slowo_struct *slowo;
    struct wzorzec_struct *nastepny;
    struct wzorzec_struct *nastepny_identyczny;
};

struct powiazanie_struct
{
    struct wzorzec_struct *wzorzec;	// Z ktorym wzorcem
    struct powiazanie_struct *nastepne;
};

struct slowo_struct
{
    char *slowo;
    int *blanki;	// Gdzie sa blanki w tym slowie
    int ile_blankow;
    int punkty;
    struct slowo_struct *nastepne;
};
/*
struct Pole
{
    char litera;
    int premia;
};*/
#endif
