#ifndef PODSWIETLENIE_H
#define PODSWIETLENIE_H

#include "qwidget.h"

#define PLANSZA 0
#define STOJAK 1
#define DO_WYMIANY 2
#define NIGDZIE 3

class Stojak;
class Plansza;

class Podswietlenie : public QWidget
{
    Q_OBJECT

    public:
	Podswietlenie( QWidget *parent = 0 , const char *name = 0 );
	void ustawStojak( Stojak *s ) { stojak = s; }
	void ustawPlansze( Plansza *p ) { plansza = p; }
	void wylaczPodswietlenie();

    public slots:
	void kliknietoStojak( int );
	void kliknietoDoWymiany( int );
	void kliknietoPlansze( int , int );

    private:
	int x, y, gdzie;
	Stojak *stojak;
	Plansza *plansza;
};

#endif
