#include <stdio.h>

#include <qframe.h>
#include <qlabel.h>
#include <qwindefs.h>

#include "punkty.h"

Punkty::Punkty( QWidget *parent , const char *name ) : QWidget( parent, name )
{
    punkty = 0;

    setMinimumSize( 100 , 40 );
    setMaximumSize( 100 , 40 );

    kto = new QLabel( this , "kto" );
    kto->setGeometry( 0 , 0 , width() , height() );
    kto->setFrameStyle( QFrame::Sunken | QFrame::Panel );
    kto->setAlignment( AlignTop | AlignHCenter );

    ile = new QLabel( this , "ile" );
    ile->setFrameStyle( QFrame::Sunken | QFrame::Panel );
    ile->setGeometry( 10 , 20 , width() - 20 , height() - 25 );
    ile->setAlignment( AlignCenter );
}

void Punkty::zerujPunkty()
{
    punkty = 0;

    ile->setText( "0" );
}

void Punkty::dodajPunkty( int plus )
{
    punkty += plus;

    ile->setNum( punkty );
}

int Punkty::podajPunkty()
{
    return punkty;
}

void Punkty::ustawImie( const char *imie )
{
    kto->setText( imie );
}

void Punkty::ustawPunkty( int ilep )
{
    punkty = ilep;
    ile->setNum( ilep );
}
