#ifndef STOJAK_H
#define STOJAK_H

#include <qwidget.h>

class Alfabet;

class Stojak : public QWidget
{
    Q_OBJECT

    public:
	Stojak( QWidget *parent = 0 , const char *name = 0 );

	char *literyNaStojaku() { return litery; }
	char *literyDoWymiany() { return do_wymiany; }
	char literaNaStojaku( int i ) { return litery[i]; }
	char literaDoWymiany( int i ) { return do_wymiany[i]; }
	void ustawLitereNaStojaku( char , int );
	void ustawLiteryNaStojaku( char * , int );
	void ustawLitereDoWymiany( char , int );
	void ustawAlfabet( Alfabet *a ) { alfabet = a; }
	void podswietlLitereNaStojaku( int );
	void podswietlLitereDoWymiany( int );
	void zgasLitereNaStojaku();
	void zgasLitereDoWymiany();
	void zamienLiteryNaStojaku( int , int );
	void zamienLiteryDoWymiany( int , int );
	int saLiteryDoWymiany();
	int saLiteryNaStojaku();
	void zdejmijLiteryDoWymiany();

    signals:
	void kliknietyStojak( int );
	void kliknieteDoWymiany( int );
	void moznaDoWymianyKlikac( int );

    protected:
	void paintEvent( QPaintEvent * );
	void mousePressEvent( QMouseEvent * );

    private:
	char litery[7];
	char do_wymiany[7];
	int podswietlona;
	Alfabet *alfabet;
};

#endif
