#ifndef ALFABET_H
#define ALFABET_H

#include <qwidget.h>

class Alfabet
{
    public:
	Alfabet();

	int dajPunktyLitery( char c ) { return punktyLiter[(unsigned char)c]; }
	char duzaLitera( char );
	char malaLitera( char );
	char wielkaLitera( char );
	void inicjujLitery();
	int litera( char i ) { return litery[(unsigned char)i]; }
	int ilePozostaloLiter() { return pozostalo_liter; }
	void ustawPozostaloLiter( int p ) { pozostalo_liter = p; }
	void zmniejszPozostaloLiter() { pozostalo_liter--; }
	void zwiekszPozostaloLiter() { pozostalo_liter++; }
	void zmniejszLitere( char c ) { litery[(unsigned char)c]--; }
	void zwiekszLitere( char c ) { litery[(unsigned char)c]++; }
	void ustawLitere( char c , int ile ) { litery[(unsigned char)c] = ile; }
	char literaAlfabetu( int ktora ) { return litery_alfabetu[ktora-1]; }
	int czyDuzaLitera( char );
	void ustawPolskie( int i ) { nie_ma_polskich = i; }
	int nieMaPolskich() { return nie_ma_polskich; }
	char doogonkuj( char );
	int potrzebnyOgonek( char );
	int gdzieVOgonek( char );
	int gdzieHOgonek( char );

    private:
	int punktyLiter[256];
	int litery[256];
	int pozostalo_liter;
	char litery_alfabetu[33];
	int nie_ma_polskich;
};
#endif
