#include <qlabel.h>
#include <qframe.h>
#include <qwindefs.h>

#include "lampka.h"

Lampka::Lampka( QWidget *parent , const char *name ) : QWidget( parent , name )
{
    setMaximumSize( 20 , 20 );

    label = new QLabel( this , "lampka" );
    label->setGeometry( 0 , 0 , 20 , 20 );
    label->setFrameStyle( QFrame::Sunken | QFrame::Panel );

    stan = ZAPALONA;

    zgas();
}

void Lampka::zapal()
{
    if( stan == ZAPALONA )
	return;

    label->setBackgroundColor( red );

    stan = ZAPALONA;
}

void Lampka::zgas()
{
    if( stan == ZGASZONA )
	return;

    label->setBackgroundColor( lightGray );

    stan = ZGASZONA;
}
