#ifndef PLANSZA_H
#define PLANSZA_H

#include <qwidget.h>

class Alfabet;

struct Pole
{
    char litera;
    int premia;
    int dolozona;	// Czy gracz sobie uklada wlasnie te literke na planszy
};

class Plansza : public QWidget
{
    Q_OBJECT

    public:
	Plansza( QWidget *parent = 0 , const char *name = 0 );

	int premia( int , int );
	char litera( int , int );
	void ustawLitere( char , int , int );
	void ustawPremie( int , int , int );
	char punktLitery( char );
	void ustawAlfabet( Alfabet *a ) { alfabet = a; }
	void ustawDolozonaLitere( char , int , int );
	void zdejmijDolozonaLitere( int , int );
	int literaDolozona( int i , int j ) { return pola[i][j].dolozona; }
	void podswietlLitere( int , int );
	void zapalBlanka();
	void zgasBlanka();
	void zgasLitere();
	int poprawnieDolozoneSlowo();
	int saLiteryDolozone();
	void zdejmijDolozoneLitery();
	int saLitery();
	int ilePunktow( int , int , int );
	int ilePunktow();
	void zdejmijDolozenieZDolozonychLiter();
	void czyscPlansze();
	int polozonyBlank();
	void zastapBlanka( char );
	void podswietlLitereUstawionaPrzezKomputer( char , int , int );

    signals:
	void kliknietaPlansze( int , int );
	void moznaOkKlikac( int );

    protected:
	void paintEvent( QPaintEvent * );
	void mousePressEvent( QMouseEvent * );

    private:
	Pole pola[15][15];
	Alfabet *alfabet;
	int podswx, podswy;
};

#endif
