#include "sprawdzacz.h"

Sprawdzacz::Sprawdzacz()
{
    ile_liter = 0;
    ile_ktorych_liter = 0;

    zerujLitery();
}

void Sprawdzacz::zerujLitery()
{
    for( int i=0; i<256; i++ )
	litery[i] = 0;
}

void Sprawdzacz::ustawLitery( char *slowo , int dlugosc )
{
    for( int i=0; i<dlugosc; i++ )
	litery[ (unsigned char) slowo[i] ] = 0;

    for( int i=0; i<dlugosc; i++ )
	litery[ (unsigned char) slowo[i] ]++;
}

void Sprawdzacz::ustawKtoreLitery( char *slowo , int dlugosc )
{
    /*
     * Zakladam, ze ta funkcja bedzie rzeczywiscie rzadko wywolywana.
     * Dobrze by bylo, gdyby zachodzilo dlugosc > 0.
     * A jeszcze lepiej, gdyby slowo na wejsciu bylo posortowane.
     */
    ile_ktorych_liter = 1;

    ktore_litery[0] = slowo[0];

    for( int i=1; i<dlugosc; i++ )
	if( slowo[i] != slowo[i-1] )
	    ktore_litery[ile_ktorych_liter++] = slowo[i];

    ile_liter = dlugosc;
}

void Sprawdzacz::zerujPoKtorych()
{
    for( int i=0; i<ile_liter; i++ )
	litery[ (unsigned char) ktore_litery[i] ] = 0;
}

int Sprawdzacz::potraktujSlowem( char *slowo , int dlugosc )
{
//for( int i=0; i<ile_liter; i++ )
//printf("%c%d ",ktore_litery[i],litery[ (unsigned char) ktore_litery[i] ]);
//printf("\n");

    for( int i=0; i<dlugosc; i++ )
	litery[ (unsigned char) slowo[i] ]--;

    for( int i=0; i<ile_liter; i++ )
	if( litery[ (unsigned char) ktore_litery[i] ] > 0 )
	    return 0;

    return 1;
//	suma += litery[ (unsigned char) ktore_litery[i] ];
//for( int i=0; i<ile_liter; i++ )
//printf("%c%d",ktore_litery[i],litery[ (unsigned char) ktore_litery[i] ]);
//printf("\n");
//    return ( suma <= 0 );
}

int Sprawdzacz::odejmijLiterke( char c )
{
//printf("Odejmowanie literki %c, %d.\n",c,litery[(unsigned char)c]);

    if( litery[ (unsigned char) c ] > 0 )
    {
	litery[ (unsigned char) c ]--;
	return 0;
    }
    else
	return 1;
}

int Sprawdzacz::dobreSlowo( int dlugosc )
{
    int suma = 0;

    for( int i=0; i<ile_ktorych_liter; i++ )
    {
	suma += litery[ (unsigned char) ktore_litery[i] ];
//printf("KtoraLitera%d:%c %d\n",i,ktore_litery[i],litery[(unsigned char)ktore_litery[i]]);
    }
//printf("Suma:%d IleLiter:%d Dlugosc:%d\n",suma,ile_liter,dlugosc);
    return ( suma == ile_liter - dlugosc );
}
