#ifndef ZOSTALO_H
#define ZOSTALO_H

#include <qwidget.h>

class QPushButton;

class Alfabet;
class Litery;

class Zostalo : public QWidget
{
    Q_OBJECT

    public:
	Zostalo( QWidget * , const char * );

	void ustawAlfabet( Alfabet *a ) { alfabet = a; }
	void ustawLiteryGracza( int ktory , Litery *l ) { literyGracza[ktory] = l; }
	void ustawKtoryGracz( int *kg ) { ktoryGracz = kg; }

    public slots:
	void zmienZMoimi();

    signals:
	void kliknietoZamknij();

    protected:
	void paintEvent( QPaintEvent * );

    private:
	Alfabet *alfabet;
	QPushButton *ok, *zMoimi;
	Litery *literyGracza[2];
	int czy_ze_mna;
	int *ktoryGracz;
};

#endif
